const cssNextOption = process.env.BROWSER_FALLBACK
	? {
		browsers: ["> 5%", "last 8 versions"],
		features: {
			customProperties: {
				warnings: false,
				preserve: true,
				variables: {},
			},
		},
	}
	: {
		features: {
			customProperties: {
				warnings: false,
				preserve: true,
			},
		},
	};
// MARK:
// postcss-import have problem of hot-reload
// so maybe use postcss after build
module.exports = {
	plugins: [
		require('postcss-import')(),
		// require('postcss-custom-properties')(),
		// require('precss'),
		// require('autoprefixer'),
		require("postcss-cssnext")(cssNextOption),
		require("lost")(),
	],
	options: {
		// parser: 'sugarss',
	},
};
