# 描述

由于 desktop 设计在开发时一直在变更，登录页面和 Desktop 页面的组件并没有好好的统一，导致 Form 文件夹的组件和 mesh-login 的 Form 文件夹的组件很多是重复的，需要重新整理统一

- Card

  卡片组件，用于垃圾箱显示被删除的 mission

- DeleteMissionPopup

  Popup 确认删除 mission 弹窗，用于 Desktop mission list

- DetailBlame

  显示头像和用户名，用于 File Detail 页面，没有原始文件的时候

- DetailSyncing

  显示正在同步中状态，用于 File Detail 页面，正在从 torrent 下载文件时

- DeviceCard

  显示 Device 信息，用于 Mission Device Tab 显示 Device 列表

- EmptyList

  显示空列表页面，用于 MissionList 和 TrashList 为空的时候

- FileStatus

  显示文件状态，有无源文件，视频的话会显示时长

- GeneralTab

  Tab 组件，用于 MissionList 和 Preference 展示 Tab 选项

- ImgCrop

  图片裁剪组件，未和 mesh-login 的 ImgCrop 合并，由于 UI 样式不同

- LightBox

  图片 viewer，用于 Detail 页面展示图片

- LineButton

  废弃

- LoadingCard

  loading 卡片，用于 mission list 加载中状态

- LoadingPopup

  带遮罩的 loading，用于 mission 页面显示加载状态

- MetaDetail

  Detail 页面显示 detail 信息，label：value

- MissionCard

  Mission List Card 组件，用于 mission list 页面

- MissionCardWithPicture

  废弃

- NetworkError

  全局的显示网络错误页面，检测到没有网络时显示

- NotificationModal

  显示 Notification，可以考虑改成全局的

- PageHeader

  显示页面 Header，标题加 icon

- PageHeaderWithTab

  用于 Tab 中的页面 Header

- PopUp

  实际上是个 dropdown，用于 mission 页面点击 下载源文件

- QuitPrompt

  退出确认弹窗

- RoundButton

  通用 Button

- SettingCard

  Card 组件，用于 Preference 的各个 Tab

- ShowInFolder

  点击在文件夹中打开，当源文件存在的情况下 Detail view 使用

- TableHeader

  表头组件，用于 Mission List 页面和 Trash List 页面，显示 List 的头部

- Thumbnail

  TimeLine View 显示缩略图

- TimelineCard

  Card 组件，用于 TimeLine

- VoiceMessage

  语音组件，用于 TimeLine View 显示语音消息

Form

- Avatar

  头像组件，用于显示头像

- Dropdown

  下拉框组件 用于设置页面选择语言

- Email

  邮箱组件，用于设置页面

- FormRow

  横向布局组件，用于设置页面

- Input

  输入框组件

- Logo

  废弃

- Password

  密码组件，用于设置页面

- Phone

  手机组件，用于设置页面

- SelectFolder

  选择文件组件，用于设置页面选择下载地址

- Toggle

  Switch 组件，用于 mission 页面，同步开关

- Username

  用户名组件

- Verify

  废弃

- Warn

  废弃
